:root {
    --bg-color: #fff;
    --overlay-bg: #ffffffcc;
    --overlay-color: #000000;
}

html, body {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right:0;
    background: var(--bg-color);
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
}

canvas {
    display: block;
    image-rendering: pixelated;
}

#canvas-container {
    position: relative;
}

#canvas-container .canvas-overlay {
    position: absolute;
    inset: 0;
    z-index: 2;
    mix-blend-mode:screen;
    pointer-events:none;
}

.pixelated {
    image-rendering: pixelated;
}

.overlay {
    color: var(--overlay-color);
    background: var(--overlay-bg);
    display: flex;
    z-index: 2;
    font-family: monospace;
    text-transform: uppercase;
    font-size: 1.5em;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 15vmin;
}

.overlay p {
    max-width: 800px;
    text-align: center;
}